net.sourceforge.pmd.lang.jsp

## Class JspHandler

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractLanguageVersionHandler
  - - net.sourceforge.pmd.lang.jsp.JspHandler

- All Implemented Interfaces:
    LanguageVersionHandler

      public class JspHandler
      extends AbstractLanguageVersionHandler

  Implementation of LanguageVersionHandler for the JSP parser.
  Author:
    pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VisitorStarter` | `getDumpFacade(Writer writer, String prefix, boolean recurse)` Get the DumpFacade.
    `Parser` | `getParser(ParserOptions parserOptions)` Get the Parser.
    `RuleViolationFactory` | `getRuleViolationFactory()` Get the RuleViolationFactory.
    `XPathHandler` | `getXPathHandler()` Get the XPathHandler.

    - ### Methods inherited from class net.sourceforge.pmd.lang.AbstractLanguageVersionHandler

      `getDataFlowFacade, getDataFlowHandler, getDefaultParserOptions, getSymbolFacade, getTypeResolutionFacade`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspHandler

          public JspHandler()

  - ### Method Detail

    - #### getXPathHandler

          public XPathHandler getXPathHandler()

      Description copied from interface: `LanguageVersionHandler`
      Get the XPathHandler.
      Specified by:
        `getXPathHandler` in interface `LanguageVersionHandler`
      Overrides:
        `getXPathHandler` in class `AbstractLanguageVersionHandler`

    - #### getRuleViolationFactory

          public RuleViolationFactory getRuleViolationFactory()

      Description copied from interface: `LanguageVersionHandler`
      Get the RuleViolationFactory.

    - #### getParser

          public Parser getParser(ParserOptions parserOptions)

      Description copied from interface: `LanguageVersionHandler`
      Get the Parser.
      Returns:
        Parser

    - #### getDumpFacade

          public VisitorStarter getDumpFacade(Writer writer,
                                     String prefix,
                                     boolean recurse)

      Description copied from interface: `LanguageVersionHandler`
      Get the DumpFacade.
      Specified by:
        `getDumpFacade` in interface `LanguageVersionHandler`
      Overrides:
        `getDumpFacade` in class `AbstractLanguageVersionHandler`
      Parameters:
        `writer` - The writer to dump to.
      Returns:
        VisitorStarter

Copyright © 2002-2013 InfoEther. All Rights Reserved.